<link rel="stylesheet" href="https://unpkg.com/jcrop/dist/jcrop.css">
<script src="https://unpkg.com/jcrop"></script>

<div style='position: fixed; right: 10px; background:#fff; padding: 10px;'>
  <strong><%= @case.client.name %></strong>
  <br />
  <small>
    Received on <%= @case.received_date.strftime('%d %b, %Y') %>
    <% if @case.user.present? %>
      <br />
      Assgned to <%= @case.user.name %>
  <% end %>
    <br />
    Status: <%= @case.status.humanize %>
  </small>
</div>

<div class = "row" >
  <div class="col-lg-8 offset-lg-2 ">
    <div class="card card-small mb-4">
      <div class="card-header border-bottom">
        <h6 class="m-0">Case Details</h6>
      </div>
      <ul class="list-group list-group-flush">
        <li class="list-group-item p-3">
          <div class="row">
            <div class="col">
              <%= form_for :case_investigation, url: upload_verification_detail_executive_case_path(@case),
              :html => { :multipart => true } do |f| %>
                  <%= fields_for "case_investigation[extras]", OpenStruct.new(@case_investigation.extras) do |e| %>
                    <%= render "executive/cases/edit_formats/#{@case.client.client_format}_#{@case.case_type}", f: f, e: e %>

                    <% if @case.attachments.present? %>
                      <div class="uploaded-attachments">
                        <h6>Uploaded Files</h6>

                        <div class="row">
                          <% @case.attachments.each do |attachment| %>
                            <div class="col col-lg-3 text-center">
                              <%= image_tag attachment.document.url, class: 'thumbnail' %>
                              <br />
                              <%= link_to attachment.document_file_name, staff_case_attachment_path(@case, attachment), remote: true %>
                            </div>
                          <% end %>
                        </div>
                      </div>
                    <% end %>

                    <div class="form-group row">
                      <%= fields_for :attachment do |a| %>
                        <div class="col-lg-6" style="padding-top: 100px;">
                            <%= a.label :"Upload documents" %>
                        </div>
                        <div class="col-lg-6">
                          <%= a.file_field :document, name: "attachments[][document]", class: "form-control" %><br />
                          <%= a.file_field :document, name: "attachments[][document]", class: "form-control" %><br />
                          <%= a.file_field :document, name: "attachments[][document]", class: "form-control" %><br />
                          <%= a.file_field :document, name: "attachments[][document]", class: "form-control" %><br />
                          <%= a.file_field :document, name: "attachments[][document]", class: "form-control" %><br />
                          </div>
                        <% end %>
                    </div>
                  
                    <% if @case.status == "verification_completed" %>
                      <%= link_to "Approve", mark_approved_staff_case_path(@case), class: "btn btn-accent" %>
                    <% end %>
                    <% if @case.status == 'approved' %>
                      <span class="text-success">Approved</span>
                    <% end %>
                    <button type="submit" class="btn btn-accent">Submit</button>
                  <% end %>
              <% end %>
              
            </div>
          </div>
        </li>
      </ul>
    </div>
  </div>
</div>



